import type { AxiosInstance, CreateAxiosDefaults } from "axios";
import type { Region } from "@valapi/lib";
import { RiotApiRegionURL } from "./RiotApiRegionURL";
import { AccountV1 } from "../service/AccountV1";
import { ContentV1 } from "../service/ContentV1";
import { MatchV1 } from "../service/MatchV1";
import { RankedV1 } from "../service/RankedV1";
import { StatusV1 } from "../service/StatusV1";
export interface Config {
    apiKey: string;
    region: Region.ID;
    axiosConfig?: CreateAxiosDefaults;
}
/**
 * Official Api From Riot Games
 */
export declare class RiotApi {
    readonly request: AxiosInstance;
    readonly regionURL: RiotApiRegionURL;
    constructor(config: Config);
    get AccountV1(): AccountV1;
    get ContentV1(): ContentV1;
    get MatchV1(): MatchV1;
    get RankedV1(): RankedV1;
    get StatusV1(): StatusV1;
}
