"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiotApi = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importStar(require("axios"));
const RiotApiRegionURL_1 = require("./RiotApiRegionURL");
const AccountV1_1 = require("../service/AccountV1");
const ContentV1_1 = require("../service/ContentV1");
const MatchV1_1 = require("../service/MatchV1");
const RankedV1_1 = require("../service/RankedV1");
const StatusV1_1 = require("../service/StatusV1");
/**
 * Official Api From Riot Games
 */
class RiotApi {
    constructor(config) {
        var _a;
        const headers = new axios_1.AxiosHeaders();
        headers.setContentType("application/json");
        headers.set("X-Riot-Token", config.apiKey);
        this.request = axios_1.default.create(Object.assign(Object.assign({}, config.axiosConfig), {
            headers: Object.assign(Object.assign({}, (_a = config.axiosConfig) === null || _a === void 0 ? void 0 : _a.headers), headers.toJSON())
        }));
        this.regionURL = new RiotApiRegionURL_1.RiotApiRegionURL(config.region);
    }
    get AccountV1() {
        return new AccountV1_1.AccountV1(this.request, this.regionURL);
    }
    get ContentV1() {
        return new ContentV1_1.ContentV1(this.request, this.regionURL);
    }
    get MatchV1() {
        return new MatchV1_1.MatchV1(this.request, this.regionURL);
    }
    get RankedV1() {
        return new RankedV1_1.RankedV1(this.request, this.regionURL);
    }
    get StatusV1() {
        return new StatusV1_1.StatusV1(this.request, this.regionURL);
    }
}
exports.RiotApi = RiotApi;
