"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiotApiRegionURL = void 0;
const lib_1 = require("@valapi/lib");
class RiotApiRegionURL extends lib_1.ValRegion {
    /**
     * @param region (default: na)
     */
    constructor(region) {
        super(region);
        this.continent = "americas";
        switch (region) {
            case "na": {
                break;
            }
            case "latam": {
                break;
            }
            case "br": {
                break;
            }
            case "pbe": {
                this.continent = "pbe1";
                break;
            }
            case "eu": {
                this.continent = "europe";
                break;
            }
            case "kr": {
                this.continent = "asia";
                break;
            }
            case "ap": {
                this.continent = "asia";
                break;
            }
        }
        this.url = {
            region: `https://${this.id}.api.riotgames.com`,
            continent: `https://${this.continent}.api.riotgames.com`,
            esports: `https://esports.api.riotgames.com`
        };
    }
}
exports.RiotApiRegionURL = RiotApiRegionURL;
