"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountV1 = void 0;
const RiotApiService_1 = require("../client/RiotApiService");
class AccountV1 extends RiotApiService_1.RiotApiService {
    /**
     * Get account by puuid
     */
    byPuuid(puuid) {
        return this.request.get(`${this.regionURL.url.continent}/riot/account/v1/accounts/by-puuid/${puuid}`);
    }
    /**
     * Get account by riot id
     */
    byRiotId(gameName, tagLine) {
        return this.request.get(`${this.regionURL.url.continent}/riot/account/v1/accounts/by-riot-id/${gameName}/${tagLine}`);
    }
    /**
     * Get active shard for a player
     */
    activeShardsByGameAndPuuid(puuid) {
        return this.request.get(`${this.regionURL.url.continent}/riot/account/v1/active-shards/by-game/val/by-puuid/${puuid}`);
    }
    /**
     * ! This API service is required your project to be registered by Riot Games.
     *
     * Get account by access token
     * @param authorization (Header Parameters)
     */
    byAccessToken(authorization) {
        return this.request.get(`${this.regionURL.url.continent}/riot/account/v1/accounts/me`, {
            headers: {
                Authorization: authorization
            }
        });
    }
}
exports.AccountV1 = AccountV1;
