"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MatchV1 = void 0;
const RiotApiService_1 = require("../client/RiotApiService");
/**
 * ! This API service is required your project to be registered by Riot Games.
 */
class MatchV1 extends RiotApiService_1.RiotApiService {
    /**
     * Get match by id
     */
    byMatchId(matchId) {
        return this.request.get(`${this.regionURL.url.region}/val/match/v1/matches/${matchId}`);
    }
    /**
     * Get matchlist for games played by puuid
     */
    listByPuuid(puuid) {
        return this.request.get(`${this.regionURL.url.region}/val/match/v1/matchlists/by-puuid/${puuid}`);
    }
    /**
     * Get recent matches
     */
    recentByQueue(queueId) {
        return this.request.get(`${this.regionURL.url.region}/val/match/v1/recent-matches/by-queue/${queueId}`);
    }
}
exports.MatchV1 = MatchV1;
