import type { AxiosResponse } from "axios";
import { RiotApiService } from "../client/RiotApiService";
export declare namespace RankedV1 {
    interface PlayerDto {
        /**
         * This field may be omitted if the player has been anonymized.
         */
        puuid?: string;
        /**
         * This field may be omitted if the player has been anonymized.
         */
        gameName?: string;
        /**
         * This field may be omitted if the player has been anonymized.
         */
        tagLine?: string;
        leaderboardRank: number;
        rankedRating: number;
        numberOfWins: number;
        [key: string]: any;
    }
    interface LeaderboardDto {
        /**
         * The shard for the given leaderboard.
         */
        shard: string;
        /**
         * The act id for the given leaderboard. Act ids can be found using the val-content API.
         */
        actId: string;
        /**
         * The total number of players in the leaderboard.
         */
        totalPlayers: number;
        players: Array<RankedV1.PlayerDto>;
        [key: string]: any;
    }
}
export declare class RankedV1 extends RiotApiService {
    /**
     * Get leaderboard for the competitive queue
     * @param size (default: 200)
     * @param startIndex (default: 0)
     */
    leaderboardsByAct(actId: string, size?: number, startIndex?: number): Promise<AxiosResponse<RankedV1.LeaderboardDto>>;
}
